Subject: bug#4920: 23.1; (check-parens) problem with bash script case items unbalanced close paren

From: [email-masked]
Date: Sun, 10 Jul 2016 08:14:15 -0400

Stefan Monnier <[email-masked]> writes:

>>> FWIW, the new support in Emacs-25 for calling syntax-propertize directly
>>> from forward-parsing operations should make the above unnecessary (tho
>>> I must admit I haven't tested this).
>> The test I mentioned above still fails on Emacs-25.  Where is
>> syntax-propertize supposed to be called from?
>
> Things like forward-sexp, parse-partial-sexp, scan-sexps, ...

Oh I see, but it's disabled by default, that's why my the test was still
failing.  Doing

    emacs -Q bug-4920-check-parens.sh --eval '(setq parse-sexp-lookup-properties t)' -f check-parens

succeeds.  Should this variable be set by sh-mode along with the other
syntax propertize settings?